Subject: [IPP] TIC has reviewed the IPP Finishings 2.0 specification and has comments

From: "William A Wagner" <[email-masked]>
Date: Wed, 10 Sep 2014 20:09:34 -0400

(Most of these result from minor discomforts I  had in reading through, wondering if some reading this without extensive IPP background would get it right. Obviously, I did not judiciously review all of the real technical content. Indeed, it is rather mindboggling. I apologize for not checking these against other’s comments.)

Bill W.

Comments and Questions

2.2, 2.3

a. Should this section follow current outline and include a Protocol Roles paragraph?

b. I don't understand why finishing terms are not considered Printing Terminology

c. The distinction between the terms "document, Document, copy, hardcopy document, set, (and perhaps a few others) as used in this specification should be made more clear with (perhaps) repeated definitions here and consistent use in the text.

For example, RFC2911, appears to define "document" circularly as "a stream of document data in a format supported by the Printer object (typically a Page Description Language - PDL), or - a reference to such a stream of document data". (Strange that it does not refer to content of what is to be printed?)

But this specification, in addition to referring the to specification as "this document",  refers to "pages from her document onto folded sheets (3.2.3); document be covered and bound (4); holes in the hardcopy document (4.8); copy of each printed document in the Job(5.1); as if the document were a portrait document (5.1);Jobs with multiple copies and Documents (5.1); PWG Raster Format document (5.3)" which do nto seem to correlate with the  RFC2911 definition.

I think, particularly in the quotes from 5100.1, "document" with a lower case 'd',  and "hardcopy document" typically  refer to one copy of a complete printed output, which might contain the document data from multiple RFC 2911 'documents'. Document (with a capital D) corresponds to a RFC2911 'document'. Sets and copies appear to refer to hardcopy documents, but I am unsure if Set refers to one copy of a complete hardcopy document (which might result from a set of Documents) or all the copies produced in response to a Job (or is a 'set' defined just be the number of sheets stated in job-pages-per-set?

There is also the term "hardcopy output", (used several places in 5.2), which, although understandable, seems to be used in the same sense as "copy" and perhaps "set" is used elsewhere and again is unclear as to whether it refers to a sheet, a single copy of a hardcopy document, a set of something or?

3.1. Items 1 and 2. Since the subject is rationale, would it not be better to indicate that 'there is a need to' rather than the specification 'should', which sounds more like a requirement of the specification rather than for the specification.

3.2  The use cases all refer to indicating finishing intent "after initiating a print action". This might be mistaken for action being initiated at the Printer which, although it is somewhat clarified by the subsequent statement that the person "submits the print request".  Could the "After initiating a print action" phase be dropped?

3.2.4 Photographic Print suggests "... the process of producing a final image on paper for viewing, using chemically sensitized paper.", typically using  optical exposure. Is that what is meant here, or is it more likely a more conventional ink or toner printing process? Would using the term "printed sheet" be more appropriate?

3.2.5  The "print an investor report ... with the company cover stock". wording suggests that the report is printed on cover stock. Perhaps " print an investor report with a preprinted Company report cover"  would avoid confusion of cover finishing versus the  use of cover stock as medium.  The wording " .intent that will cover each copy"   might better be "intent that each copy have the preprinted cover".

3.5 Restart numbering

4. Should this section start a new page?

4.7 "offsets each set" I am unclear on what a set is. Perhaps it is a single copy of a collated hardcopy document or could it be all copies of a single sheet or of a hardcopy document derived from a single Document? Or is it just a defined number of sheets output ?

4.10 Suggest this paragraph should precede figure

7.1, 7.2 Section 0?

_______________________________________________
ipp mailing list
[email-masked]
https://www.pwg.org/mailman/listinfo/ipp